Last modified: 2011-06-30 20:31:20 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 29273 - nyc.wikimedia.org wiki
nyc.wikimedia.org wiki
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Normal enhancement with 2 votes (vote)
: ---
Assigned To: Rob Halsell
: shell
Depends on:
Blocks: wikis-to-create
  Show dependency treegraph
 
Reported: 2011-06-04 20:42 UTC by Pharos
Modified: 2011-06-30 20:31 UTC (History)
9 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Pharos 2011-06-04 20:42:54 UTC
Please create nyc.wikimedia.org as a new wiki for the Wikimedia
New York City chapter.

That url is current a redirect to our Meta-Wiki page, per this historical bug:

https://bugzilla.wikimedia.org/show_bug.cgi?id=23535
Comment 1 Casey Brown 2011-06-04 21:11:01 UTC
URL: nyc.wikimedia.org

$wgLanguageCode = en
$wgLogo =  http://upload.wikimedia.org/wikipedia/commons/thumb/7/70/Wikimedia_New_York_City_logo.svg/135px-Wikimedia_New_York_City_logo.svg.png
$wgSitename = Wikimedia New York City
$wgMetaNamespace = Wikimedia
$wgMetaNamespaceTalk = Wikimedia_talk
Comment 2 Krinkle 2011-06-05 12:11:38 UTC
Note that before this http://nyc.wikimedia.org/ redirected to http://wikimedianyc.com/ which redirects to the page on Meta-Wiki [1] (it didn't redirect directl from nyc.wm.o to meta).

Now that thewiki is created, that domain should probably be taken care of as well.
Comment 3 Casey Brown 2011-06-22 01:50:56 UTC
And along with comment 2, we also need to remove the nyc.wikimedia.org entry from redirects.conf before this will work properly.  It looks like the new wiki is setup right though, so Priyanka should be able to close this ticket once we fix the redirect. :-)
Comment 4 p858snake 2011-06-22 01:54:31 UTC
assigning to Priyanka per comment 3
Comment 5 JeLuF 2011-06-23 09:01:59 UTC
The apache config was already in place.
I've purged some squids and now it seems to work.

I've also committed all the uncommitted changes to svn.
Comment 6 Pharos 2011-06-23 13:29:16 UTC
http://nyc.wikimedia.org/ still seems to redirect to the meta page
Comment 7 Casey Brown 2011-06-23 14:59:14 UTC
I think that's the DNS cache. It takes a while for it to update, but it should do it eventually.
Comment 8 Mark A. Hershberger 2011-06-23 21:02:02 UTC
Works for me!
Comment 9 Rob Halsell 2011-06-30 15:22:13 UTC
I am not sure how this was flagged as fixed, as Pharos reported the issue in IRC this week.

I sat down and worked the issue with Roan.  I think the issue was a syntax error in our redirects.conf.  I commented them out and got it working for now.

Later tonight, or tomorrow early AM, I will push back the redirect with the corrected syntax and ensure it works.  I am going to wait until off-peak hours to do this.

Stealing ticket and holding onto it until then.
Comment 10 Rob Halsell 2011-06-30 15:26:58 UTC
Correction, the wikimedianyc.org address isnt pointed at us, so this redirect does NOTHING.

If a wikimedianyc.org to nyc.wikimedia.org redirect is needed, the domain needs to be rewritten on the other hose (seems like dreamhost is doing the hosting for the wikimedianyc.org domain) or the domain needs to be pointed at our nameservers.

once one of these are done, feel free to reopen ticket.
Comment 11 Rob Halsell 2011-06-30 15:28:49 UTC
Please note just setitng the wikimedianyc.org domain rewrite on that server to point to the correct URL is the best solution.  It currently points to a meta url, and this is NOT on wikimedia servers.

OR folks can just stop using that wikimedianyc.org url
Comment 12 jeremyb 2011-06-30 20:31:20 UTC
Done for wikimedianyc.{org,com}

$ curl -vs wikimedianyc.org 2>&1 >/dev/null | egrep -e '^< HTTP/1\.' -e '^< Location: '
< HTTP/1.1 301 Moved Permanently
< Location: http://nyc.wikimedia.org/

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links